Bug 1460296 - Middleware - No operation to remove Datasource
Middleware - No operation to remove Datasource
Status: CLOSED EOL
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: GA
: 6.0.0
Assigned To: Tomas Coufal
Hayk Hovsepyan
https://github.com/ManageIQ/manageiq/...
: TestOnly, Triaged
Depends On:
Blocks: 1526557
  Show dependency treegraph
 
Reported: 2017-06-09 11:39 EDT by Hayk Hovsepyan
Modified: 2018-01-08 09:26 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1526557 (view as bug list)
Environment:
Last Closed: 2018-01-08 09:26:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Middleware


Attachments (Terms of Use)
datasource_summary (125.55 KB, image/png)
2017-06-12 03:05 EDT, Hayk Hovsepyan
no flags Details

  None (edit)
Description Hayk Hovsepyan 2017-06-09 11:39:47 EDT
Description of problem:
There is not any toolbar operation button to remove Middleware Datasource.
But it existed before both in Datasource's Summary page and for list of datasources.

Version-Release number of selected component (if applicable):
5.8.0.17.20170525183055_6317a22

How reproducible:
always

Steps to Reproduce:
1. Go to Datasource Summary page. Or list the Datasources for Middleware Provider.
2. In toolbar buttons, there is missing Operation -> Remove button.


Actual results:
In toolbar buttons, there is missing "Operation -> Remove" button.

Expected results:
"Operation -> Remove" button should exist for Middleware Datasource summary page and in listing of Datasources page.
It should be possible to remove created Datasource.
Clicking 'Remove' button should give informative message that this datasource can be used by other programs.

Additional info:
This is a regression, those buttons existed before.
Comment 2 Alissa 2017-06-11 14:01:14 EDT
Hayk, please provide some details of your environment and a screenshot of the problem. Is this a containerized environment? Is this an environment with domain?
Is the operation to Add datasource available?
Comment 3 Alissa 2017-06-11 15:28:48 EDT
it sounds related to BZ 1390372 - which fix made this unavailable for certain situations.
Comment 4 Hayk Hovsepyan 2017-06-12 03:05 EDT
Created attachment 1286950 [details]
datasource_summary

Attaching Datasource Summary page screenshot.

The EAP7 server on which datasource is created, is not in container, it is running from extracted zip.
So it is mutable.

I see that in Server's Datasource List page, the Operations button is available, which is fine and no need to fix. And I see the reason why it is unavailable for Provider's Datasources List page, it could make confusion with immutable servers.

So, the only fix here on this bug is necessary on Datasource Summary page.
Comment 5 Alissa 2017-12-10 06:05:02 EST
changing Target Release to 5.9 due to the discussion here:
https://github.com/ManageIQ/manageiq/pull/16611#issuecomment-350077844
Comment 6 Tomas Coufal 2017-12-13 09:43:04 EST
PR backport was reverted and withdrawn from build due to issue with UI classic test.

PR fixing the tests lays here [1] and it should be backported together.

[1] https://github.com/ManageIQ/manageiq/pull/16653

Note You need to log in before you can comment on or make changes to this bug.